Subject: [kitten] FYI: I-D: TLS CipherSuites for Kerberos + DH

From: Rick van Rein <[email-masked]>
Date: Sun, 11 Oct 2015 10:00:11 +0200

Hello Kitten,

FYI, an I-D that I just proposed to the TLS WG.

-Rick

      ----- >8 ------ >8 ------ >8 ------ >8 -----

Hello TLS WG,

I would like to propose new CipherSuites for TLS.  The cryptography is
founded on Kerberos authentication and DH encryption, cryptographically
bound together.  The mechanism uses mutual authentication, although
clients may use anonymous tickets.

Any feedback that you may have (technical, or WG-procedural) is kindly
welcomed.  I will also send this to the Kitten WG.

Thanks,
Rick van Rein
> *From:* [email-masked]
> *Date:* 1 October 2015 18:54
> *To:* "Rick van Rein" <[email-masked]>, "Rick van Rein"
> <[email-masked]>
> *Subject:* New Version Notification for draft-vanrein-tls-kdh-00.txt
> A new version of I-D, draft-vanrein-tls-kdh-00.txt
> has been successfully submitted by Rick van Rein and posted to the
> IETF repository.
>
> Name:         draft-vanrein-tls-kdh
> Revision:     00
> Title:                TLS-KDH: Kerberos + Diffie-Hellman in TLS
> Document date:        2015-10-01
> Group:                Individual Submission
> Pages:                26
> URL:           
https://www.ietf.org/internet-drafts/draft-vanrein-tls-kdh-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-vanrein-tls-kdh/
> Htmlized:       https://tools.ietf.org/html/draft-vanrein-tls-kdh-00
>
>
> Abstract:
>    This specification extends TLS with a Kerberos-based method of mutual
>    authentication, and binds in Diffie-Hellman to achieve Perfect
>    Forward Secrecy for the session.

> The IETF Secretariat